﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Microsoft.Practices.Composite.Presentation.Commands;

namespace MVPDemo3
{
    public class PanelPresenter
    {
        public PanelPresenter(PanelView view)
        {
            this.View = view;

            //初始化Model
            this.View.Model = new PanelPresenterationModel()
            {
                Name = "Bao, Jianqiang",
                ClickCommand = new DelegateCommand<object>(OnClick, arg => true)
            };
        }

        public void OnClick(object obj)
        {
            this.View.Model.Name = "Jax.Bao";
        }

        public PanelView View { get; set; }
    }
}